local _logger = require("logging")
local _core = require("core")

local params = ... or {}

if not params.device_id or not params.setting_name then
    _logger.error("get_setting_value error: Missing device_id or setting_name.")
    return
end

local setting_ids = _core.get_setting_ids_by_device_id(params.device_id) or {}

for _, setting_id in ipairs(setting_ids) do
    local setting = _core.get_setting(setting_id)

    if setting.info.name == params.setting_name then
        return setting
    end
end
