local ITEM_NAME = "tcp_client_send"

local function CreateItem (device_id)
    local _core = require("core")
    local _logger = require("logging")

    _logger.info("Create item: " .. ITEM_NAME)

    local item_id = _core.add_item {
        name = ITEM_NAME,
        has_getter = false,
        has_setter = true,
        show = true,
        value_type = "dictionary.string",
        value = {},
        device_id = device_id
    }

    if item_id then
        _logger.info("Created item ID: " .. item_id)
    else
        _logger.error("Failed to create item")
    end

    return item_id
end

local function SetItemValue (value)
    local _network = require("network")
    local _logger = require("logging")
    local handle = _network.connect( { ip = value.ip_address, port = value.port, connection_type = "TCP" } )

    if not handle then
        _logger.debug("Fail to connect via TCP")
        
        return
    end
    
    _G.ezlo_protocols[tostring(handle)] = value
end

----------------------------------------------------------------------
local params = ...

if params.action == "create" then
    return CreateItem(params.device_id)
elseif params.action == "set" then
    return SetItemValue(params.value)
end
